Bug 957710 - 1 test fails on yaz-4.2 when building on ARM
1 test fails on yaz-4.2 when building on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yaz (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-04-29 06:55 EDT by Peter Robinson
Modified: 2013-05-24 16:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: yaz-4.2.56-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:29:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix from upstream (303 bytes, patch)
2013-04-29 16:33 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Peter Robinson 2013-04-29 06:55:25 EDT
One of the tests fail in make check when building on ARM

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1755923

Output:

FAIL: test_embed_record

============================================================================
Testsuite summary for yaz 4.2.56
============================================================================
# TOTAL: 42
# PASS:  41
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See test/test-suite.log
Please report to yaz-help@indexdata.dk
============================================================================

Let me know if you need any more information.
Comment 1 Dan Horák 2013-04-29 15:31:58 EDT
The test fails also on ppc and s390, so likely it's related to the char type being unsigned by default on arm, ppc and s390. Build with -fsigned-char appended to CFLAGS makes the test suite to pass successfully. I've reported the issue to upstream.
Comment 2 Peter Robinson 2013-04-29 15:44:56 EDT
(In reply to comment #1)
> The test fails also on ppc and s390, so likely it's related to the char type
> being unsigned by default on arm, ppc and s390. Build with -fsigned-char
> appended to CFLAGS makes the test suite to pass successfully. I've reported
> the issue to upstream.

Thanks, got a link to upstream report?
Comment 3 Dan Horák 2013-04-29 15:50:48 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > The test fails also on ppc and s390, so likely it's related to the char type
> > being unsigned by default on arm, ppc and s390. Build with -fsigned-char
> > appended to CFLAGS makes the test suite to pass successfully. I've reported
> > the issue to upstream.
> 
> Thanks, got a link to upstream report?

unfortunately no link, the test suite asks for sending email to yaz-help@indexdata, but got a reply a while ago:

...
> and it fails also on ARM, so likely it's related to the char type
> being unsigned by default on these 3 arches. A test build with
> -fsigned-char made the error in test_embed_record to disappear.
Thanks. That makes perfectly sense. We'll fix it.

/ Adam
Comment 4 Dan Horák 2013-04-29 16:33:39 EDT
Created attachment 741672 [details]
fix from upstream
Comment 5 Fedora Update System 2013-04-30 05:38:48 EDT
yaz-4.2.56-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yaz-4.2.56-2.fc19
Comment 6 Fedora Update System 2013-04-30 16:11:51 EDT
Package yaz-4.2.56-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yaz-4.2.56-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7108/yaz-4.2.56-2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-05-24 16:29:01 EDT
yaz-4.2.56-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.